org.eclipse.graphiti.mm.pictograms

## Interface CompositeConnection

All Superinterfaces:
  AnchorContainer, Connection, org.eclipse.emf.ecore.EObject, GraphicsAlgorithmContainer, org.eclipse.emf.common.notify.Notifier, PictogramElement, PropertyContainer

All Known Implementing Classes:
  CompositeConnectionImpl

    public interface CompositeConnection
    extends Connection

A representation of the model object 'Composite Connection'.
Note that this is an experimental API and might change without further notice. @experimental

Since:
  0.9

  The following features are supported:

  - `Children`
See Also:
  `PictogramsPackage.getCompositeConnection()`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.common.util.EList<CurvedConnection>` `getChildren()` Returns the value of the 'Children' reference list.

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.Connection

`getConnectionDecorators, getEnd, getParent, getStart, setEnd, setParent, setStart`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.AnchorContainer

`getAnchors`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.PictogramElement

`getGraphicsAlgorithm, getLink, isActive, isVisible, setActive, setGraphicsAlgorithm, setLink, setVisible`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getChildren

    org.eclipse.emf.common.util.EList<CurvedConnection> getChildren()

Returns the value of the 'Children' reference list. The list contents are of type `CurvedConnection`.

If the meaning of the 'Children' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Children' reference list.
See Also:
  `PictogramsPackage.getCompositeConnection_Children()`